ssh2_scp_send
ssh2_sftp_lstat
SSH2 Functions
PHP Manual

# ssh2_sftp_chmod

(PECL ssh2 >= 0.12)

ssh2_sftp_chmod — Changes file mode

### Description

bool ssh2_sftp_chmod ( resource `$sftp` , string `$filename` , int `$mode` )

Attempts to change the mode of the specified file to that given in `mode`.

### Parameters

`sftp`

  An SSH2 SFTP resource opened by ssh2_sftp().

`filename`

  Path to the file.

`mode`

  Permissions on the file. See the chmod() for more details on this parameter.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Creating a directory on a remote server

`<?php
$connection = ssh2_connect('shell.example.com', 22);
ssh2_auth_password($connection, 'username', 'password');
$sftp = ssh2_sftp($connection);
ssh2_sftp_chmod($sftp, '/somedir/somefile', 0755);
?>`

### See Also

- chmod() - Changes file mode
- ssh2_sftp() - Initialize SFTP subsystem
- ssh2_connect() - Connect to an SSH server

ssh2_scp_send
ssh2_sftp_lstat
SSH2 Functions
PHP Manual